Index: other-projects/is-sheet-music-encore/trunk/COMPX520-DOWNLOADER-PNG-10PAGES.sh
===================================================================
--- other-projects/is-sheet-music-encore/trunk/COMPX520-DOWNLOADER-PNG-10PAGES.sh	(revision 33059)
+++ other-projects/is-sheet-music-encore/trunk/COMPX520-DOWNLOADER-PNG-10PAGES.sh	(revision 33059)
@@ -0,0 +1,19 @@
+#!/bin/bash
+if [ $# != 1 ] ; then 
+  echo "Usage: ./COMPX520-RUN-PNG.sh <filename>" 1>&2
+  exit 1
+fi
+
+file_name=$1
+page_num=0
+
+for id in `cat $file_name` ; do
+   for page_num in {1..10}
+   do
+    	echo "id: $id  page_num: $page_num" 	
+    	./COMPX520-RUN-PNG.sh $id $page_num
+    	page_num=$((page_num+1))
+    done
+    echo ""
+  sleep 2  
+done
Index: other-projects/is-sheet-music-encore/trunk/Makefile
===================================================================
--- other-projects/is-sheet-music-encore/trunk/Makefile	(revision 33053)
+++ other-projects/is-sheet-music-encore/trunk/Makefile	(revision 33059)
@@ -2,26 +2,60 @@
 	cd java-gen-corpus; javac *.java;
 
-filter-full-50-MU:
-	#source SETUP.bash MUST TO THIS MANUALLY
-	cd java-gen-corpus; java TabProcTextGen hathiFull.txt hathiFullIDList-MU.txt MU
-	./COMPX520-DOWNLOADER-META.sh java-gen-corpus/hathiFullIDList-MU.txt
-	cd java-gen-corpus; ./metadata-formater.sh
-	cd java-gen-corpus; ./ValidIDListGen.sh MU
-	cd java-gen-corpus; java TabRndListGen hathiValidIDList-MU.txt 50 hathiValidRnd50List-MU.txt
 
-test:
+######################################
+#CAUTION: run must: source SETUP.bash
+#Prior to running the scripts below
+######################################
+
+
+#MUSIC, Including Sheet music
+gen-500-MU:
 	cd java-gen-corpus; javac *.java
-	cd java-gen-corpus; java TabProcTextGen hathiFull.txt _test_hathiFullIDList-MU.txt MU
-	cd java-gen-corpus; java TabRndListGen _test_hathiFullIDList-MU.txt 50 _test_hathiValidIDList-MU-50.txt
-
-gen-100-MU:
-	cd java-gen-corpus; javac *.java
-	cd java-gen-corpus; java javaGenFullIDList hathiFull.txt gen-100-MU-hathiFullIDList-MU.txt MU
-	cd java-gen-corpus; java javaGenValidIDList gen-100-MU-hathiFullIDList-MU.txt 100 gen-100-MU-hathiValidIDList-MU.txt
+	cd java-gen-corpus; java javaGenFullIDList hathiFull.txt gen-500-MU-hathiFullIDList.txt MU
+	cd java-gen-corpus; java javaGenValidIDList gen-500-MU-hathiFullIDList.txt 500 gen-500-MU-hathiValidIDList.txt
 	cd java-gen-corpus; rm compact_metadata_temp.xml
 	cd java-gen-corpus; rm metadata_temp.xml
-	./COMPX520-DOWNLOADER-PNG.sh java-gen-corpus/gen-100-MU-hathiValidIDList-MU.txt 6
+	./COMPX520-DOWNLOADER-PNG-10PAGES.sh java-gen-corpus/gen-500-MU-hathiValidIDList.txt
+
+
+#BOOKS, Monograhpical
+gen-500-BK:
+	cd java-gen-corpus; javac *.java
+	cd java-gen-corpus; java javaGenFullIDList hathiFull.txt gen-500-BK-hathiFullIDList.txt BK
+	cd java-gen-corpus; java javaGenValidIDList gen-500-BK-hathiFullIDList.txt 500 gen-500-BK-hathiValidIDList.txt
+	cd java-gen-corpus; rm compact_metadata_temp.xml
+	cd java-gen-corpus; rm metadata_temp.xml
+	./COMPX520-DOWNLOADER-PNG-10PAGES.sh java-gen-corpus/gen-500-BK-hathiValidIDList.txt
+
+
+#SERIAL (journals, newspapers,etc)
+gen-500-SE:
+	cd java-gen-corpus; javac *.java
+	cd java-gen-corpus; java javaGenFullIDList hathiFull.txt gen-500-SE-hathiFullIDList.txt SE
+	cd java-gen-corpus; java javaGenValidIDList gen-500-SE-hathiFullIDList.txt 500 gen-500-SE-hathiValidIDList.txt
+	cd java-gen-corpus; rm compact_metadata_temp.xml
+	cd java-gen-corpus; rm metadata_temp.xml
+	./COMPX520-DOWNLOADER-PNG-10PAGES.sh java-gen-corpus/gen-500-SE-hathiValidIDList.txt
+
+
+#MAPS, Including atlas and sheet maps
+gen-500-MP:
+	cd java-gen-corpus; javac *.java
+	cd java-gen-corpus; java javaGenFullIDList hathiFull.txt gen-500-MP-hathiFullIDList.txt MP
+	cd java-gen-corpus; java javaGenValidIDList gen-500-MP-hathiFullIDList.txt 500 gen-500-MP-hathiValidIDList.txt
+	cd java-gen-corpus; rm compact_metadata_temp.xml
+	cd java-gen-corpus; rm metadata_temp.xml
+	./COMPX520-DOWNLOADER-PNG-10PAGES.sh java-gen-corpus/gen-500-MP-hathiValidIDList.txt
+
+
+#MIXED MATERIAL (This may not be required)
+gen-500-MX:
+	cd java-gen-corpus; javac *.java
+	cd java-gen-corpus; java javaGenFullIDList hathiFull.txt gen-500-MX-hathiFullIDList.txt MX
+	cd java-gen-corpus; java javaGenValidIDList gen-500-MX-hathiFullIDList.txt 500 gen-500-MX-hathiValidIDList.txt
+	cd java-gen-corpus; rm compact_metadata_temp.xml
+	cd java-gen-corpus; rm metadata_temp.xml
+	./COMPX520-DOWNLOADER-PNG-10PAGES.sh java-gen-corpus/gen-500-MX-hathiValidIDList.txt
 
 
 
-