Index: main/trunk/greenstone3/web/interfaces/default/js/map-scripts-editor.js
===================================================================
--- main/trunk/greenstone3/web/interfaces/default/js/map-scripts-editor.js	(revision 33061)
+++ main/trunk/greenstone3/web/interfaces/default/js/map-scripts-editor.js	(revision 33062)
@@ -5,6 +5,5 @@
 	// https://stackoverflow.com/questions/4271566/how-do-i-know-which-version-of-javascript-im-using
 	this.MAX_THICKNESS = 5.0; 
-	this.MIN_THICKNESS = 0.0;
-	
+	this.MIN_THICKNESS = 0.0;	
 	this.MAX_OPACITY = 100.00; 
 	this.MIN_OPACITY = 0.00;
@@ -70,5 +69,4 @@
 	var thicknessValue = ((thicknessSlider.value / 20) * 100) / 100;
 	thicknessSliderOutput.value = thicknessValue.toFixed(2);
-	//console.log("Init thickness slider value: " + thicknessValue);
 
 	thicknessSlider.oninput = function () {
@@ -95,5 +93,4 @@
 	var opacitySlider = document.getElementById("colourOpacity" + "-" + this.id);
 	var opacitySliderOutput = document.getElementById("opacityRangeVal" + "-" + this.id);
-	//opacitySliderOutput.innerHTML = Math.round(opacitySlider.value) + "%";
 	
 	opacitySlider.oninput = function () {
@@ -484,5 +481,5 @@
 MapEditor.prototype.addMarkerListeners = function (newShape, e) {
 	var that = this;
-	//cLICK EVENT IF A MARKER IS CREATED
+	//Click event if a marker is created
 	google.maps.event.addListener(newShape, 'click', function (e) {
 		if(that.shiftKeyPressed){
@@ -662,10 +659,8 @@
 }
 
-MapEditor.prototype.updateMenuValues = function (thi, opa, fCol, sCol) {
-	//console.log("New thickness value: " + thi);
+MapEditor.prototype.updateMenuValues = function (thi, opa, fCol, sCol) {	
 	//Update thickness slider and value on the settings menu
 	var thicknessSliderOutput = document.getElementById("thicknessRangeVal" + "-" + this.id);
-	// update the thickness innerHTML's value to always have 2 decimal places, https://www.w3schools.com/js/js_number_methods.asp
-	//console.log("thi =" + thi + " type of = " + typeof thi );
+	// update the thickness innerHTML's value to always have 2 decimal places, https://www.w3schools.com/js/js_number_methods.asp	
 	thi = parseFloat(thi); //Ensure the thi is a number
 	thicknessSliderOutput.value = thi.toFixed(2); 
Index: main/trunk/greenstone3/web/interfaces/default/style/map-editors.css
===================================================================
--- main/trunk/greenstone3/web/interfaces/default/style/map-editors.css	(revision 33061)
+++ main/trunk/greenstone3/web/interfaces/default/style/map-editors.css	(revision 33062)
@@ -86,4 +86,8 @@
 }
 
+.valueEditor{
+	 display:inline-block;
+}
+
 #ColourOpacity{
 	float: left;
@@ -91,11 +95,4 @@
 	margin-right: 3px;
 }
-
-/*
-#opacityRangeVal{
-   width:250px; 
-   max-width:250px;
-}
-*/
 
 #buttons3{
@@ -107,6 +104,4 @@
 
 #FillColour {
-	/*display: inline;
-	float: left;*/
 	padding-left: 10px;
 }
Index: main/trunk/greenstone3/web/interfaces/default/transform/pages/document.xsl
===================================================================
--- main/trunk/greenstone3/web/interfaces/default/transform/pages/document.xsl	(revision 33061)
+++ main/trunk/greenstone3/web/interfaces/default/transform/pages/document.xsl	(revision 33062)
@@ -247,6 +247,5 @@
 						<div id="SecondRow">
 							<div id="LineThickness">
-								<p style="display:inline-block">Line thickness:
-									<!-- <span id="thicknessRangeVal-{@nodeID}">1.00</span> -->
+								<p class="valueEditor">Line thickness:									
 									<div class="valueChanger">
 										<input type="number" class="valueInput" id="thicknessRangeVal-{@nodeID}" min="1.00" max="5.00" value="1.00" step="0.01" />
@@ -258,11 +257,9 @@
 									</div>
 									<input type="range"  size="2" min="20" max="100" value="1" class="slider" id="thicknessRange-{@nodeID}" />				
-								</p>
-								<!-- <p>Value: </p> -->
+								</p>								
 							</div>	
 							
 							<div id="ColourOpacity">
-								<p style="display:inline-block">Colour opacity: 
-									<!-- <span id="opacityRangeVal-{@nodeID}">1.0</span> -->
+								<p class="valueEditor">Colour opacity: 									
 									<div class="valueChanger">
 										<input type="number" class="valueInput" id="opacityRangeVal-{@nodeID}" min="0.0" max="100.0" value="40" />
@@ -271,5 +268,4 @@
 									<input type="range" min="0" max="100" value="40" class="slider" id="colourOpacity-{@nodeID}" />
 								</p>
-								<!-- <p>Value: </p> -->
 							</div>
 						</div>
@@ -294,6 +290,5 @@
 					  </select>
 					</div>	
-					-->
-				
+					-->				
 				</div>
 				