Index: main/trunk/gli/classes/dictionary_es.properties
===================================================================
--- main/trunk/gli/classes/dictionary_es.properties	(revision 33062)
+++ main/trunk/gli/classes/dictionary_es.properties	(revision 33063)
@@ -1029,5 +1029,5 @@
 Preferences.General.Interface_Language:Idioma de la interfaz:
 Preferences.General.Interface_Language_Tooltip:Seleccione el idioma en el que usted desea que aparezcan los controles y la interfaz.
-Preferences.General.Restart_Required:DeberÃ¡ reiniciar GLI para completar la carga de un nuevo idioma para la interfaz.
+Preferences.General.Restart_Required:Se reiniciarÃ¡ GLI para completar la carga del nuevo idioma de la interfaz.
 Preferences.General.Manual_Restart_Required:Por favor, reinicie el cliente GLI para aceptar los cambios en la configuraciÃ³n de la conexiÃ³n.
 Preferences.General.Show_File_Size:Mostrar el tamaÃ±o de los ficheros
Index: main/trunk/greenstone2/macros/spanish.dm
===================================================================
--- main/trunk/greenstone2/macros/spanish.dm	(revision 33062)
+++ main/trunk/greenstone2/macros/spanish.dm	(revision 33063)
@@ -213,7 +213,7 @@
 _textabgs_ [l=es] {Acerca de Greenstone}
 
-_textdescradmin_ [l=es] {Le permite aÃ±adir nuevos usuarios, da un resumen de las colecciones que
-hay en el sistema y proporciona informaciones tÃ©cnicas sobre la
-instalaciÃ³n de Greenstone
+_textdescradmin_ [l=es] {Le permite aÃ±adir nuevos usuarios, ver un resumen de las colecciones que
+hay en el sistema y proporciona informaciÃ³n tÃ©cnica sobre la
+instalaciÃ³n de Greenstone.
 }
 
@@ -233,5 +233,5 @@
 
 _textcollector_ [l=es] {El Colector}
-_textdescrcollector_ [l=es] {Permite crear colecciones online. Esto precede a la Interfaz de Bibliotecario,  para fines prÃ¡cticos se recomienda usar esta Ãºltima en lugar del Colector. }
+_textdescrcollector_ [l=es] {Permite crear colecciones online. Esto precede a la Interfaz de Bibliotecario. Para fines prÃ¡cticos se recomienda usar esta Ãºltima en lugar del Colector. }
 
 package depositor
Index: main/trunk/greenstone2/macros/spanish2.dm
===================================================================
--- main/trunk/greenstone2/macros/spanish2.dm	(revision 33062)
+++ main/trunk/greenstone2/macros/spanish2.dm	(revision 33063)
@@ -660,5 +660,5 @@
 dureza, valor; y el filo que puede tomar, la justicia.}
 
-_texttokititle_ [l=es] {La hachuela que moldea la excelencia del pensamiento}
+_texttokilink_ [l=es] {Ver la imagen de toki mÃ¡s grande}
 _texttokidesc1_ [l=es] {En Noviembre del 2000, un "toki pou tangata" (una hachuela de greenstone) fue presentada por MÄori a la Biblioteca Digital de Nueva Zelanda para reconocer el importante trabajo que se estÃ¡ haciendo con un tesoro (taonga) tal como la <a href="_1_">ColecciÃ³n Niupepa</a>. El toki fue tallado por Bernard Makoare de NgÄti WhÄtua y descendiente de Te Rarawa.}
 _texttokidescr2_ [l=es] {El toki simboliza el significado del pounamu (greenstone). Es para inspirar el trabajo que se estÃ¡ haciendo aquÃ­ con cualidades de manÃ¡, autoridad y liderazgo. Es una piedra dura, una conexiÃ³n que hay que hacer. Se debe utilizar para esculpir y guiar la excelencia del pensamiento que se cosecha en la Biblioteca Digital de Nueva Zelanda.}
Index: main/trunk/greenstone2/perllib/strings_es.properties
===================================================================
--- main/trunk/greenstone2/perllib/strings_es.properties	(revision 33062)
+++ main/trunk/greenstone2/perllib/strings_es.properties	(revision 33063)
@@ -133,4 +133,5 @@
 buildcol.sections_sort_on_document_metadata:(Lucene solamente) Agregar metadatos a nivel de documento al nivel de secciÃ³n para su ordenamiento.
 buildcol.sections_index_document_metadata.never:No agregar ningÃºn metadato de documento a nivel de secciÃ³n.
+#'
 buildcol.sections_index_document_metadata.always:AÃ±ade todos los metadatos a nivel de documento, incluso si existen metadatos a nivel de secciÃ³n con ese nombre.
 buildcol.sections_index_document_metadata.unless_section_metadata_exists:SÃ³lo aÃ±ade metadatos a nivel de documento si no existen metadatos con ese nombre a nivel de secciÃ³n.
@@ -187,5 +188,5 @@
 downloadfrom.params:[opciones generales] [opciones especÃ­ficas de descarga]
 
-# -- downloadinfo.pl --
+# -- downloadinfo.pl -- 
 
 downloadinfo.desc:Ofrece informaciÃ³n sobre el mÃ³dulo de descarga
@@ -794,4 +795,6 @@
 CommonUtil.block_exp:Los archivos que sean iguales a esta expresiÃ³n regular serÃ¡n bloqueados para no pasarse a ningÃºn otro plugin posterior del listado.
 
+CommonUtil.could_not_open_for_writing:no se puede abrir % para escritura
+
 CommonUtil.desc:Clase del Base Utility plugin que maneja el bloqueo y la codificaciÃ³n del nombre de archivo.
 
@@ -828,4 +831,6 @@
 ConvertBinaryFile.convert_to.text:Formato texto plano.
 
+ConvertBinaryFile.convert_to.paged_text:Texto plano dividido en secciones, en donde el texto de cada pÃ¡gina es su propia secciÃ³n.
+
 ConvertBinaryFile.convert_to.pagedimg:Una serie de imÃ¡genes.
 
@@ -835,4 +840,8 @@
 
 ConvertBinaryFile.convert_to.pagedimg_png:Formato PNG.
+
+ConvertBinaryFile.convert_to.pagedimgtxt_jpg:Una serie de imÃ¡genes en formato JPEG con el texto extraido, una por cada pÃ¡gina.
+
+ConvertBinaryFile.convert_to.pagedimgtxt_png:Una serie de imÃ¡genes en formato PNG con el texto extraÃ­do, una por cada pÃ¡gina.
 
 ConvertBinaryFile.desc:Este conector es heredado por otros como WordPlugin, PowerPointPlugin, PostScriptPlugin, RTFPlugin y PDFPlugin. Facilita la conversiÃ³n de Ã©stos tipos de documentos a HTML o a TEXTO o a una serie de imÃ¡genes. Funciona cargando dinÃ¡micamente un conector secundario apropiado (HTMLPlugin, StructuredHTMLPlugin, PagedImgPlugin o TEXTPlugin), segÃºn el argumento 'convert_to'.
@@ -1326,6 +1335,4 @@
 WgetDownload.desc:Clase bÃ¡sica que maneja las llamadas a wget
 WgetDownload.proxy_on:Proxy activado
-WgetDownload.proxy_host:Servidor proxy
-WgetDownload.proxy_port:Puerto del proxy
 WgetDownload.user_name:Nombre de usuario
 WgetDownload.user_password:Clave de usuario
@@ -1355,4 +1362,5 @@
 BasPlugout.no_auxiliary_databases:No generar las bases de datos de archives. Util cuando se hacen exportaciones.
 # '
+BasPlugout.site:El nombre del sitio de Greenstone 3. El sitio por defecto es localsite.
 BasPlugout.output_handle:descriptor de archivo usado para enviar la informaciÃ³n de salida
 BasPlugout.output_info:Referencia a un objeto arcinfo usado para almacenar informaciÃ³n sobre los archivos.
@@ -1382,4 +1390,15 @@
 METSPlugout.xslt_mets:Transforma un fichero docmets.xml de mets con la XSLT en el archivo nombrado.
 
+# 
+# GreenstoneSQLPlug strings are shared by both GreenstoneSQLPlugout and GreenstoneSQLPlugin
+#
+GreenstoneSQLPlug.process_mode:La configuraciÃ³n determina si el texto completo y / o los metadatos se enviarÃ¡n a una base de datos MySQL en lugar de a doc.xml durante la importaciÃ³n. Elija uno de entre meta_only, text_only o all (predeterminado).
+GreenstoneSQLPlug.process_mode.all:El paso Import envÃ­a el texto completo y los metadatos a una base de datos MySQL en vez de a doc.xml.
+GreenstoneSQLPlug.db_driver:El driver de la base de datos. Solo estÃ¡ soportada MySQL, por lo que el default es mysql.
+GreenstoneSQLPlug.db_client_user:La contraseÃ±a con la cual se conecta a la base de datos (My)SQL, root por defecto.
+GreenstoneSQLPlug.db_client_pwd:La contraseÃ±a con la cual se conecta a la base de datos (My)SQL.
+GreenstoneSQLPlug.db_host:El nombre del host en donde estÃ¡ corriendo el servidor de (My)SQL, 127.0.0.1 por defecto.
+GreenstoneSQLPlug.db_port:Si su servidor de base de datos (MySQL) NO estÃ¡ usando el puerto por defecto, entonces especifique el nÃºmero aquÃ­. De lo contrario, deje este campo en blanco.
+
 #
 # Perl module strings
Index: main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_es.properties	(revision 33062)
+++ main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_es.properties	(revision 33063)
@@ -103,4 +103,29 @@
 param.rnpw:escriba nuevamente la clave
 
+## Authentication errors
+auth.error.not_logged_in:Debe iniciar sesiÃ³n para acceder a esta pÃ¡gina.
+auth.error.admin_not_logged_in:Debe estar conectado como administrador para acceder a esta pÃ¡gina.
+auth.error.could_not_get_user_info:Hubo un error al recuperar la informaciÃ³n del usuario.
+auth.error.username_not_specified:No se especificÃ³ un nombre de usuario.
+auth.error.user_not_found:El usuario solicitado no estÃ¡ en la base de datos.
+auth.error.invalid_username:El nombre de usuario especificado es invÃ¡lido (debe tener entre 2 y 30 caracteres de largo y contener solamente a-z, 0-9 y los caracteres - o .)
+auth.error.no_password:No se ha ingresado ninguna contraseÃ±a.
+auth.error.password_too_short:La contraseÃ±a ingresada es muy corta (mÃ­nimo 3 caracteres).
+auth.error.password_too_long:La contraseÃ±a ingresada es muy larga (mÃ¡ximo 64 caracteres).
+auth.error.password_illegal_chars:La contraseÃ±a ingresada contiene caracteres no vÃ¡lidos (solo caracteres ascii son vÃ¡lidos).
+auth.error.incorrect_password:La contraseÃ±a escrita es incorrecta.
+auth.error.user_already_exists:El nombre de usuario ya existe, por favor elija uno diferente.
+auth.error.add_user_error:Hubo un error al agregar este usuario a la base de datos.
+auth.error.remove_user_error:Hubo un error al quitar este usuario de la base de datos.
+auth.error.captcha_failed:Hubo un problema verificÃ¡ndolo con reCAPTCHA
+auth.error.captcha_missing:No existe informaciÃ³n del captcha.
+auth.error.connection_failed:Hubo un problema conectando al sito de reCAPTCHA. Por favor contacte a su administrador.
+auth.error.not_authorised:No estÃ¡ autorizado a acceder a esta pÃ¡gina.
+auth.error.missing_params:Faltan parÃ¡metros obligatorios: nombre de usuario, contraseÃ±a anterior o contraseÃ±a nueva
+auth.error.something_wrong:Disculpas. Algo ha salido mal y no estoy seguro de quÃ© pagina es la que busca.
+auth.success.account_settings:Ha modificado sus detalles exitosamente.
+auth.success.edit_user:Detalles del usuario {0} actualizados exitosamente.
+auth.success.delete_user:Usuario {0} borrado exitosamente.
+
 ## CrossCollectionSearch specific strings
 CrossCollectionSearch.TextQuery.name:BÃºsqueda cruzada en colecciones
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties	(revision 33062)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties	(revision 33063)
@@ -40,4 +40,5 @@
 login_tip:Ingresar
 # months - used by replaceList in siteConfig. need to change to get from java..
+num:NÃºmero
 textmonth01:Enero
 textmonth02:Febrero
@@ -56,4 +57,5 @@
 home.quick_search:BÃºsqueda rÃ¡pida
 home.librarian_interface:Interfaz del bibliotecario
+home.gliapp_webstart:AplicaciÃ³n GLI JAVA Web Start
 home.select_a_collection:Seleccione una colecciÃ³n
 home.select_a_group:Seleccione un grupo de colecciones
@@ -155,5 +157,5 @@
 
 doc.map_nearby_docs:Mostrar los documentos cerca de aquÃ­
-
+doc.nearby_doc_tooltip:Hover para centrar el mapa en este documento; Click para ir al documento.
 maps.scrolllabel:Navegar entre lugares
 
@@ -176,5 +178,8 @@
 #  Document Editing #
 #####################
-
+de.error:EdiciÃ³n no disponible.
+de.error_unavailable:La ediciÃ³n del documento no estÃ¡ disponible ahora. Puede ser que la carpeta archives no estÃ© presente.
+de.error_wrong_group:No es miembro del grupo que tiene permisos de ediciÃ³n para esta colecciÃ³n.
+de.error_contact_admin:Por favor, contacte al administrador de su biblioteca ({0}).
 de.rebuilding_collection:reconstruyendo la colecciÃ³n
 de.no_changes:No se han detectado cambios
@@ -188,6 +193,8 @@
 de.add_all_metadata:Agregar todos
 de.no_meta_name_given:No se ingresÃ³ ningÃºn valor como nombre del nuevo metadato
-de.edit_metadata:editar metadatos
-de.hide_metadata:ocultar metadatos
+de.edit_metadata:Editar metadatos
+de.edit_map_gps:Editar mapa GPS
+de.hide_metadata:Ocultar metadatos
+de.hide_map_gps:Ocultar mapa GPS
 de.remove:remover
 de.edit_content:Editar contenido
@@ -256,4 +263,21 @@
 db.no_collection_building:No puede usar esta caracterÃ­stica de Greenstone ya que no tiene habilitada la construcciÃ³n de la colecciÃ³n
 
+###################
+# Human Verification Page
+#######################
+
+verify.title:VerificaciÃ³n
+verify.terms_title:TÃ©rminos y Condiciones
+verify.terms_content:TÃ©rminos y condiciones <br/> Para personalizar estos tÃ©rminos y condiciones, edite verify.terms_content en web/WEB-INF/classes/interface_default.properties (para toda la biblioteca) o cree collname.properties en la carpeta web/sites/localsite/collect/collname/resources y agregue Verify.terms_content = tÃ©rminos personalizados.
+verify.terms_accept:Acepto los tÃ©rminos y condiciones
+
+###################
+# Error Page
+###################
+
+error.title:Oops!. Algo saliÃ³ mal.
+error.recap_fail:FallÃ³ el recaptcha.
+error.wrong_group:No estÃ¡ en el grupo correcto para ver este documento.
+
 #####################
 #  Berry Baskets    #
@@ -281,2 +305,23 @@
 berry.send_success:EnvÃ­o de mail exitoso
 berry.send_fail:El envÃ­o de mail ha fallado
+
+##################################
+# About Greenstone page
+##################################
+
+gsdl.title:Acerca de Greenstone
+gsdl.brief:Acerca del software Greenstone
+gsdl.main:Greenstone es un paquete de software que tiene la capacidad de crear y servir colecciones de bibliotecas digitales. Proporciona una forma versÃ¡til de organizar la informaciÃ³n y publicarla en la web o en medios extraÃ­bles como DVD o unidad USB. Greenstone es producido por el Proyecto de la Biblioteca Digital de Nueva Zelanda en la Universidad de Waikato y se distribuye en cooperaciÃ³n con la UNESCO y la ONG Human Info. Es un software de cÃ³digo abierto, disponible desde {0-link} bajo los tÃ©rminos de la Licencia PÃºblica General de GNU.
+gsdl.technical:TÃ©cnica
+gsdl.technical_desc:Consulte la <a href="{0}"> hoja informativa de Greenstone </a> para obtener detalles tÃ©cnicos como las versiones, el soporte de la plataforma y la interoperabilidad. Hay dos versiones principales del software: el Greenstone 2 original y el Greenstone 3, que es un completo rediseÃ±o y reimplementaciÃ³n. Greenstone 3 estÃ¡ en desarrollo activo y se recomienda para descargar. Esta pÃ¡gina es parte de una instalaciÃ³n de Greenstone 3.
+gsdl.customisation:PersonalizaciÃ³n
+gsdl.customisation_desc:Greenstone ha sido especÃ­ficamente diseÃ±ado para ser altamente extensible y personalizado. Nuevos formatos de documentos y metadatos son contemplados mediante la escritura de "conectores" (en Perl). En forma anÃ¡loga, se pueden implementar nuevas estructuras de navegaciÃ³n de metadatos escribiendo "clasificadores". La apariencia de la interfaz de usuario puede alterarse utilizando plantillas XSLT, CSS y Javascript. El cÃ³digo fuente en Java, C++ y Perl estÃ¡ disponible y accesible para su modificaciÃ³n. Para mÃ¡s informaciÃ³n, ver la <a href="{0}">wiki de Greenstone</a>.
+gsdl.documentation:DocumentaciÃ³n
+gsdl.documentation_desc:DocumentaciÃ³n ampliada acerca de Greenstone estÃ¡ disponible en la <a href="{0}">Wiki de Greenstone Wiki</a>, incluyendo tutoriales <a href="{1}">paso a paso</a>.
+gsdl.support:Soporte
+gsdl.support_desc:Ver la <a href="{0}">pÃ¡gina de soporte</a> para detalles sobre listas de mailing en idiomas especÃ­ficos, grupos de soporte regionales y otros recursos.
+gsdl.bugs:Bugs
+gsdl.bugs_desc:Queremos asegurarnos que este software funcione bien. Por favor reporte cualquier bug que encuentre a la <a href="{0}">lista de usuarios de Greenstone</a>.
+gsdl.greenstone_stone:Greenstone es una piedra semipreciosa que (como este software) proviene de Nueva Zelanda. En la sociedad tradicional maorÃ­ era la sustancia mÃ¡s apreciada y buscada de todas. Puede absorber y mantener wairua, que es un espÃ­ritu o fuerza vital, y estÃ¡ dotada de virtudes tradicionales que lo convierten en un emblema apropiado para un proyecto de biblioteca digital de dominio pÃºblico. Su brillo muestra caridad;su traslucidez, honestidad; su dureza, coraje; y el filo que puede tomar, la justicia.
+gsdl.toki_about1:En noviembre de 2000, un MaorÃ­ presentÃ³ una toki pou tangata (un hache de greenstone)  en la Biblioteca Digital de Nueva Zelanda, en reconocimento por el importante trabajo que se realizÃ³ en taonga (tesoro) como la <a href="{0}"> ColecciÃ³n Niupepa </a>. El toki fue tallado por Bernard Makoare, descendiente de NgÄti WhÄtua y Te Rarawa.
+gsdl.toki_about2:El toki es para simbolizar el significado de pounamu (piedra verde). Es para inspirar el trabajo que se estÃ¡ haciendo aquÃ­ con cualidades de manÃ¡, autoridad y liderazgo. Es una piedra dura, una conexiÃ³n a realizar. Se utilizarÃ¡ para forjar y guiar la excelencia de pensamiento que se recopila en la Biblioteca Digital de Nueva Zelanda.
Index: main/trunk/release-kits/shared/core/language-strings/LanguagePack_es.properties
===================================================================
--- main/trunk/release-kits/shared/core/language-strings/LanguagePack_es.properties	(revision 33062)
+++ main/trunk/release-kits/shared/core/language-strings/LanguagePack_es.properties	(revision 33063)
@@ -133,5 +133,5 @@
 ### Ant-Installer Core strings
 
-dirNotExistCreate:La carpeta no existe, quiere crearla?
+dirNotExistCreate:La carpeta no existe, quiere crearla? S o N [default\:N]
 dirNotExist:La carpeta no existe
 fileNotExist:El archivo no existe