Index: main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_ka.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_ka.properties	(revision 30506)
+++ main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_ka.properties	(revision 33064)
@@ -3,48 +3,43 @@
 ## Service Names
 
-
-
-
-
-
-
 # search parameters
 
-param.matchMode.all=á§áááá
-param.matchMode.some=á ááááááááá
+param.matchMode.all:á§áááá
+param.matchMode.some:á ááááááááá
 
+param.fqk:
 
 #levels 
-level.document=áááá£áááá¢á
-level.Doc=áááá£áááá¢á
-level.section=áááá§áá€ááááá
-level.Sec=áááá§áá€ááááá
-level.paragraph=ááá ááá áá€á
-level.Para=ááá ááá áá€á
+level.document:áááá£áááá¢á
+level.Doc:áááá£áááá¢á
+level.section:áááá§áá€ááááá
+level.Sec:áááá§áá€ááááá
+level.paragraph:ááá ááá áá€á
+level.Para:ááá ááá áá€á
 
 ## Authentication
-Authentication.name=ááááááá¡á¢á ááªáá£áá áááá áá
+Authentication.name:ááááááá¡á¢á ááªáá£áá áááá áá
 
 ## Authentication services
-ListUsers.description=áááá®ááá áááááá á¡áá
+ListUsers.description:áááá®ááá áááááá á¡áá
 
+AddUser.name:á¡ááááá®ááá áááá á¡áá®ááá
+AddUser.submit:áááááááá
+AddUser.description:áááá®ááá ááááá¡ ááááá¢ááá
 
 ## Authentication params
-param.un=áááá®ááá ááááá
-param.pw=ááá ááá
-param.com=áááááá¢áá á
-param.boolean.enabled=ááášáááá£áá
-param.boolean.disabled=ááá£ášáááááá
-param.as=ááááá áášáá¡ á¡á¢áá¢á£á¡á
-param.gp=á¯áá£á€ááá
-param.npw=áá®ááá ááá áááá¡ 
-param.rnpw=áá®ááá ááá áááá¡  á®áááá®áá ášáá¢ááá
+param.un:áááá®ááá ááááá
+param.pw:ááá ááá
+param.com:áááááá¢áá á
+param.boolean.enabled:ááášáááá£áá
+param.boolean.disabled:ááá£ášáááááá
+param.as:ááááá áášáá¡ á¡á¢áá¢á£á¡á
+param.gp:á¯áá£á€ááá
+param.npw:áá®ááá ááá áááá¡
+param.rnpw:áá®ááá ááá áááá¡  á®áááá®áá ášáá¢ááá
 
-
+## Authentication errors
 
 ## CrossCollectionSearch specific strings
 
-
 ## LuceneSearch specific strings
-
-