Index: /main/trunk/gli/classes/dictionary_es.properties
===================================================================
--- /main/trunk/gli/classes/dictionary_es.properties	(revision 33066)
+++ /main/trunk/gli/classes/dictionary_es.properties	(revision 33067)
@@ -1002,5 +1002,5 @@
 Preferences.Connection.ProgramCommand:Orden de vista previa:
 Preferences.Connection.ProgramCommand_Tooltip:Es la orden de inicio del programa usado para tener una vista previa de la colecciÃ³n. Recuerde usar %1 para indicar el lugar donde deberÃ¡ insertarse la direcciÃ³n de la colecciÃ³n y usar las marcas de habla donde sea necesario.
-Preferences.Connection.No_Check_Certificate:No validar certificado (efectivo para URLs 'https')
+Preferences.Connection.No_Check_Certificate:No validar certificado para descargas HTTPS
 Preferences.Connection.No_Check_Certificate_Tooltip:Seleccione para descargar igualmente URLs 'https' que no posean un certificado de seguridad vÃ¡lido.
 Preferences.Connection.HTTP_Proxy_Host:Servidor Proxy HTTP:
Index: /main/trunk/greenstone2/macros/spanish2.dm
===================================================================
--- /main/trunk/greenstone2/macros/spanish2.dm	(revision 33066)
+++ /main/trunk/greenstone2/macros/spanish2.dm	(revision 33067)
@@ -636,5 +636,5 @@
 
 _texttechnicaltitle_ [l=es] {tÃ©cnico}
-_texttechnical_ [l=es] {Consulte la <a href="_1_"> hoja de datos Greenstone</a> para obtener detalles tÃ©cnicos, como versiones, soporte de la plataforma e interoperabilidad. Hay dos versiones principales del software: Greenstone 2 (el original), y Greenstone 3, que es un completo rediseÃ±o y reimplementaciÃ³n. Greenstone 3 estÃ¡ bajo desarrollo activo, y se recomienda para su descarga. Esta es una instalaciÃ³n de Greenstone 2.}
+_texttechnical_ [l=es] {Consulte la <a href="_1_"> hoja de datos Greenstone</a> para obtener detalles tÃ©cnicos, como versiones, soporte de la plataforma e interoperabilidad. Hay dos versiones principales del software: Greenstone 2 (el original), y Greenstone 3, que es un completo rediseÃ±o y reimplementaciÃ³n. Greenstone 3 estÃ¡ bajo desarrollo activo, y se recomienda para su descarga. Esta pÃ¡gina es parte de es una instalaciÃ³n de Greenstone 2.}
 
 _textcustomisationtitle_ [l=es] {personalizaciÃ³n}
Index: /main/trunk/greenstone2/perllib/strings_es.properties
===================================================================
--- /main/trunk/greenstone2/perllib/strings_es.properties	(revision 33066)
+++ /main/trunk/greenstone2/perllib/strings_es.properties	(revision 33067)
@@ -192,4 +192,5 @@
 downloadinfo.desc:Ofrece informaciÃ³n sobre el mÃ³dulo de descarga
 downloadinfo.collection:Dar un nombre de colecciÃ³n harÃ¡ que downloadinfo.pl busque en collect/collection-name/perllib/downloaders primero. Si no encuentra el mÃ³dulo aquÃ­, buscarÃ¡ en el directorio general perllib/downloaders
+downloadinfo.no_download_name:Error: por favor especifique un nombre de mÃ³dulo de descarga.
 downloadinfo.params:[opciones] [mÃ³dulo de descarga]
 downloadinfo.general_options:Las opciones generale se heredan de las clases padre de los mÃ³dulos de descarga.
@@ -283,4 +284,8 @@
 
 import.maxdocs:El nÃºmero mÃ¡ximo de documentos para importar.
+
+import.NO_IMPORT:Evita que se ejecute import.pl. (Tenga en cuenta que para las colecciones Greenstone 3 con la ediciÃ³n de documentos habilitada a travÃ©s de la web, la ejecuciÃ³n de import.pl eliminarÃ¡ todas las ediciones. Configure esta opciÃ³n en el archivo de configuraciÃ³n de la colecciÃ³n para evitar que import.pl se ejecute accidentalmente).
+
+import.NO_IMPORT_set:No se continÃºa con la importaciÃ³n ya que se configurÃ³ -NO_IMPORT.
 
 import.no_import_dir:Error: directorio de importaciÃ³n (%s) no encontrado.
@@ -408,4 +413,5 @@
 
 export.saveas.GreenstoneXML:Formato de archivo XML de Greenstone
+export.saveas.GreenstoneSQL:Almacena los metadatos y/o el texto completo en una base de datos MySQL, y lo  opuesto en el formato Greenstone XML Archive.
 
 export.saveas.MARCXML:Formato MARC XML (versiÃ³n XML del MARC 21)
@@ -791,5 +797,5 @@
 BibTexPlugin.desc:BibTexPlugin lee archivos de registros bibliogrÃ¡ficos en formato BibTex. BibTexPlugin crea un objeto de documento para cada referencia en el archivo. Es una subclase de SplitTextFile, por lo que si hay registros mÃºltiples, todos se leen.
 
-BookPlugin.desc:Crea documentos multinivel a partir de documentos que contengan etiquetas de nivel <<TOC>>. Los metadatos para cada secciÃ³n se toman de cualquier otra etiqueta que estÃ© en la misma lÃ­nea que el << TOC >>, por ej., <<Title>> xxxx <</Title>> establece el metadato TÃ­tulo. Todo lo demÃ¡s que aparezca entre las etiquetas TOC se tratarÃ¡ como html simple (es decir, no se establece ningÃºn proceso de vÃ­nculos html ni se ejcuta ninguna otra tarea del conector HTMLPlugin). Se espera que los archivos de entrada tengan una extensiÃ³n .hb  predefinida (puede cambiarse agregando una opciÃ³n -process_exp, un fichero con el mismo nombre que el fichero hb pero con una extensiÃ³n .jpg se toma como la imagen de la portada (los ficheros jpg son bloqueados por este plugin). BookPlugin es una simplificaciÃ³n (y extensiÃ³n) del HBPlugin utilizado por las colecciones de la Biblioteca de Desarrollo Humanitario. BookPlugin es mÃ¡s rÃ¡pido en tanto que espera la entrada de archivos mÃ¡s limpios (La entrada a las colecciones de HDL contiene muchas etiquetas html adicionales alrededor de etiquetas << TOC >>, utiliza etiquetas << I >> para especificar las imÃ¡genes, y simplemente toma todo el texto entre las etiquetas << TOC >> y el inicio del texto como metadato Title). Si usted estÃ¡ colocando marcas en documentos para que sean desplegados de la misma manera que las colecciones HDL, use este plugin en lugar de HBPlugin.
+BookPlugin.desc:Crea documentos multinivel a partir de documentos que contengan etiquetas de nivel <<TOC>>. Los metadatos para cada secciÃ³n se toman de cualquier otra etiqueta que estÃ© en la misma lÃ­nea que el << TOC >>, por ej., <<Title>> xxxx <</Title>> establece el metadato TÃ­tulo. Todo lo demÃ¡s que aparezca entre las etiquetas TOC se tratarÃ¡ como html simple (es decir, no se establece ningÃºn proceso de vÃ­nculos html ni se ejecuta ninguna otra tarea del conector HTMLPlugin). Se espera que los archivos de entrada tengan una extensiÃ³n .hb  predefinida (puede cambiarse agregando una opciÃ³n -process_exp, un fichero con el mismo nombre que el fichero hb pero con una extensiÃ³n .jpg se toma como la imagen de la portada (los ficheros jpg son bloqueados por este plugin). BookPlugin es una simplificaciÃ³n (y extensiÃ³n) del HBPlugin utilizado por las colecciones de la Biblioteca de Desarrollo Humanitario. BookPlugin es mÃ¡s rÃ¡pido en tanto que espera la entrada de archivos mÃ¡s limpios (La entrada a las colecciones de HDL contiene muchas etiquetas html adicionales alrededor de etiquetas << TOC >>, utiliza etiquetas << I >> para especificar las imÃ¡genes, y simplemente toma todo el texto entre las etiquetas << TOC >> y el inicio del texto como metadato Title). Si usted estÃ¡ colocando marcas en documentos para que sean desplegados de la misma manera que las colecciones HDL, use este plugin en lugar de HBPlugin.
 
 CommonUtil.block_exp:Los archivos que sean iguales a esta expresiÃ³n regular serÃ¡n bloqueados para no pasarse a ningÃºn otro plugin posterior del listado.
@@ -914,4 +920,6 @@
 GreenstoneXMLPlugin.desc:Procesa los documentos XML de Archivo de Greenstone. Note que este conector no realiza ninguna verificaciÃ³n de sintaxis (aunque el mÃ³dulo de XML::Parser comprueba la correcta forma). Se asume que los ficheros de Archivo de Greenstone son conformes a su DTD.
 
+GreenstoneSQLPlugin.desc:Procesa el contenido de una base de datos Greenstone SQL para metadatos y / o el texto completo de los documentos, y procesa los documentos XML de Greenstone en el caso que no estÃ© en la base de datos y para la estructura del documento. Tenga en cuenta que este conector no realiza comprobaciones de sintaxis (aunque el mÃ³dulo XML :: Parser comprueba si estÃ¡ bien formado). Se supone que los archivos de Greenstone Archive se ajustan a su DTD.
+
 GISExtractor.desc:Clase base paralela a BasPlug que soporta capacidades de GIS
 
@@ -921,4 +929,8 @@
 
 GISExtractor.place_list:Al extractar ubicaciones, incluya la lista de nombres de lugares al comienzo del documento. Requiere extensiÃ³n de Greenstone a GIS.
+
+HathiTrustMETSPlugin.desc:Complemento que procesa archivos METS HathiTrust que estÃ¡n acompaÃ±ados por archivos de texto OCR pÃ¡gina por pÃ¡gina (en una subcarpeta con el mismo nombre que el archivo METS).
+
+HathiTrustMETSPlugin.headerpage:Agregue una pÃ¡gina de encabezado de nivel superior a cada documento.
 
 HBPlugin.desc:Plugin que procesa un directorio de libro HTML. Este plugin es usado por las colecciones de la Biblioteca de Desarrollo Humanitario y no manipula codificaciones de entrada mÃ¡s que de ASCII o el ASCII extendido. Este cÃ³digo es algo algo engorroso y podrÃ­a, sin dudas, corregirse para que se ejcute mÃ¡s rÃ¡pidamente indudablemente, dejÃ¡ndolo en este estado espero animar a las personas para que hagan sus colecciones utilizando el BookPlugin en cambio ;-)\n\nUse utilice BookPlugin si estÃ¡ creando una nueva colecciÃ³n y marcando a los archivos como las colecciones de la Biblioteca de Desarrollo Humanitario. BookPlugin acepta todas las codificaciones de entrada pero espera que los archivos marcados sean mÃ¡s limpios que aquellos usados por las colecciones de la Biblioteca de Humanidades
@@ -1005,4 +1017,13 @@
 BaseMediaConverter.enable_cache:Almacenar en cache los archivos generados automÃ¡ticamente (como las miniaturas y las imÃ¡genes en tamaÃ±o pantalla) de manera que no necesiten generarse repetidamente.
 
+ImageConverter.apply_aspectpad:ImÃ¡genes de relleno con un color con una relaciÃ³n de aspecto y orientaciÃ³n especÃ­ficas
+ImageConverter.aspectpad_colour:Color de relleno deseado.
+ImageConverter.aspectpad_mode:Modo de relleno
+ImageConverter.aspectpad_mode.al:Conservar la orientaciÃ³n de aspecto de la imagen original, pero colocar una imagen cuadrada en formato horizontal.
+ImageConverter.aspectpad_mode.ap:Conserve la orientaciÃ³n de aspecto de la imagen original, pero coloqcar una imagen cuadrada en formato vertical.
+ImageConverter.aspectpad_mode.l:Forzar la orientaciÃ³n a modo horizontal (landscape).
+ImageConverter.aspectpad_mode.p:Forzar la orientaciÃ³n a modo vertical (portrait).
+ImageConverter.aspectpad_ratio:RelaciÃ³n de aspecto deseada.
+ImageConverter.aspectpad_tolerance:Tolerancia de aspecto. Si la diferencia entre el aspecto existente y el deseado es menor que la tolerancia, no se aplicarÃ¡ ningÃºn relleno.
 ImageConverter.converttotype:Convertir la imagen principal al formato 's'.
 
@@ -1023,4 +1044,6 @@
 
 ImageConverter.screenviewtype:Producir imÃ¡genes "screenview" en formato 's'.
+
+ImageConverter.store_original_image:Guardar la imagen original como un archivo asociado. Solamente se usa si se aplica -converttotype, ya que de otra manera la imagen original es guardada igualmente.
 
 ImageConverter.thumbnailsize:Realiza iconos pequeÃ±os tamaÃ±o nxn.
@@ -1157,5 +1180,19 @@
 PDFPlugin.complex:Crea una salida mÃ¡s compleja. Con esta opciÃ³n marcada los html resultantes se parecerÃ¡n mucho mÃ¡s al archivo PDF original. Para que funcione adecuadamente debe tener instalado Ghostscript (para *nix gs debe estar su ruta, mientras que para windows se debe tener gswin32c.exe en el path).
 
-PDFPlugin.desc:Plugin que procesa documentos PDF.
+PDFPlugin.convert_to.html:HTML muy bÃ¡sico que contiene el texto extraÃ­do, no las imÃ¡genes.
+
+PDFPlugin.convert_to.pretty_html:Cada pÃ¡gina PDF como HTML que contiene texto seleccionable superpuesto sobre una imagen capturada de la pÃ¡gina PDF.
+
+PDFPlugin.convert_to.paged_pretty_html:HTML seccionado en donde el html de cada pÃ¡gina es su propia secciÃ³n.
+
+PDFPlugin.deprecated_plugin:*************IMPORTANTE******************\nPDFPlugin ha sido discontinuado.\nConsidere actualizar a PDFv2Plugin, el cual soporta nuevas versiones de PDFs.\nAlternativamente, si desea conservar el viejo estilo de conversiÃ³n y no estÃ¡ usando PDFBox,\ncambie a PDFv1Plugin.\nSi estÃ¡ usando PDFBox entonces cambie a PDFv2Plugin.\n*****************************************\n
+
+PDFPlugin.desc:Complemento obsoleto que procesa documentos PDF. Actualice a PDFv2Plugin para obtener las capacidades de PDF mÃ¡s recientes, incluida pdfbox_conversion, o a PDFv1Plugin si realmente desea la conversiÃ³n de pdf a html anterior y no estÃ¡ usando pdfbox_conversion.
+
+PDFv1Plugin.desc:Conector que procesa documentos PDF usando la herramienta pdftohtml. No soporta versiones nuevas de PDF.
+
+PDFv2Plugin.desc:Conector que procesa documentos PDF, incluyendo nuevas versiones de PDF. Utiliza PDFBox y xpdftools en background.
+
+PDFPlugin.html_for_realistic_book:PDFs se convertirÃ¡n a HTML para la funcionalidad realistic book.
 
 PDFPlugin.nohidden:Prevenga al pdftohtml de intentar extraer texto oculto. Esto sÃ³lo es Ãºtil si la opciÃ³n -complex estÃ¡ determinada.
@@ -1163,10 +1200,18 @@
 PDFPlugin.noimages:No intente extraer las imÃ¡genes de PDF.
 
+PDFv2Plugin.auto_output_default:Predeterminando el formato de salida a
+
 PDFPlugin.use_realistic_book:Convierte documentos PDF en documentos XHTML para permitir que los usuarios lo visualicen en formato realistic book.
 
 PDFPlugin.use_sections:Cree una secciÃ³n separada para cada pÃ¡gina del archivo de PDF.
 
+PDFPlugin.win_old_pdftotext_unsupported:*** En Windows, PDFPlugin pdfbox_conversion debe estar activado para la salida en modo texto. Caso contrario, los archivos PDF se convertirÃ¡n a HTML. \n *** Use PDFv2Plugin para opciones adicionales de conversiÃ³n de PDF a texto.
+
+PDFv1Plugin.win_old_pdftotext_unsupported:*** En Windows, PDFv1Plugin no admite pdf a texto. Los archivos PDF se convertirÃ¡n a HTML en su lugar. \n *** Use PDFv2Plugin si desea convertir pdf a texto.
+
 PDFPlugin.zoom:El factor por el cual se hace acercamiento al PDF para la salida (esto sÃ³lo es Ãºtil si el -complex esta determinado).
 
+PDFv2Plugin.dpi:La resoluciÃ³n en DPI de las imÃ¡genes de fondo generadas cuando convert_to se configura como pagedimg(txt) y (paged_)pretty_html.
+
 PostScriptPlugin.desc:Este es un ps \"poor manâs\" para convertidor de texto. Si si plan es serio, considere utilizar el paquete PRESCRIPT, para bajarlo lo podrÃ¡ encontrar en http://www.nzdl.org/html/software.html
 
@@ -1195,4 +1240,6 @@
 PrintInfo.desc:La mayorÃ­a de los conectores bÃ¡sicos permiten la impresiÃ³n de informaciÃ³n (usando pluginfo.pl) y el anÃ¡lisis de los argumentos.
 
+PrintInfo.site:El nombre del sitio de Greenstone 3. El sitio por defecto para una instalaciÃ³n de GS3 es localsite.
+
 ProCitePlugin.desc:Plugin para bases de datos Procite (exportadas)
 
@@ -1263,11 +1310,13 @@
 StructuredHTMLPlugin.toc_header:posibles estilos de cabecera definidos por el usuario para tabla de contenidos, tabla de figuras, etc., se borra si se selecciona delete_toc
 
+TabSeparatedPlugin.desc:Conector para archivos de metadatos separados por tabulaciones.
+
 TextPlugin.desc:Crea un documento simple de nivel Ãºnico (single-level). Agrega el metadato TÃ­tulo de la primera lÃ­nea de texto (hasta 100 caracteres).
 
 TextPlugin.title_sub:ExpresiÃ³n de substituciÃ³n para modificar la cadena guardada como TÃ­tulo. Por ejemplo, PSPlug para eliminar "PÃ¡gina 1" etc del texto utilizado como tÃ­tulo.
 
-UnknownConverterPlugin.desc:Si tiene un herramienta de conversiÃ³n instalada que es posible ejecutar desde la lÃ­nea de comando para convertir desde un formato de documento no soportado a texto, HTML o a una serie de imÃ¡genes en jpg, gif o png,, entonces incluya ese comando en este Plugin. Ãl ejecutarÃ¡ el comando por usted, capturando la salida para ser indexada por Greenstone. Configure "process_extension" con el sufijo de los archivos que deben convertirse. Configure "convert_to" con el formato de salida que el comando de conversiÃ³n generarÃ¡, el cual determinarÃ¡ el sufijo de archivo de salida. Use %INPUT_FILE y %OUTPUT como variables en el comando, los cuales serÃ¡n reemplazados por Greenstone. PasarÃ¡ la ruta completa a cada archivo que concuerde con "process_extension" como %INPUT_FILE. %OUTPUT serÃ¡ reemplazada con la ruta a un archivo en una carpeta temporal cuyo sufijo serÃ¡ el valor de "convert_to"  . Si "convert_to" es del tipo pagedimg, Greenstone harÃ¡ que %OUTPUT  sea una carpeta la cual contendrÃ¡ los archivos esperados y crearÃ¡ un archivo .item contenienndo las partes del documento.
-
-UnknownConverterPlugin.exec_cmd:LÃ­nea de comando a ejecutar la cual harÃ¡ la conversiÃ³n. Las comillas deberÃ¡n estar precedidas por una "\" para ser preservadas. Utilice %INPUT_FILE and %OUTPUT como variables en el comando.
+UnknownConverterPlugin.desc:Si tiene instalada una herramienta de conversiÃ³n personalizada que puede ejecutar desde la lÃ­nea de comandos para convertir un formato de documento no compatible a texto, HTML o una serie de imÃ¡genes en formato jpg, png o gif, entonces proporcione ese comando a este complemento. . Luego ejecutarÃ¡ el comando por usted, capturando la salida para la indexaciÃ³n de Greenstone, haciendo que los documentos (si se convierten a texto o HTML) sean de bÃºsqueda. Establezca la opciÃ³n -process_extension en el sufijo de los archivos que se convertirÃ¡n. Establezca la opciÃ³n -convert_to en el formato de salida que generarÃ¡ el comando de conversiÃ³n, que determinarÃ¡ el sufijo del archivo de salida. Establezca la opciÃ³n -exec_cmd con el comando que se ejecutarÃ¡.
+
+UnknownConverterPlugin.exec_cmd:LÃ­nea de comandos para ejecutar que harÃ¡ la conversiÃ³n. Los elementos citados deben tener las comillas escapadas con una barra invertida para preservarlos. Utilice %%INPUT_FILE y %%OUTPUT como marcadores de posiciÃ³n en el comando para el nombre de archivo de entrada y el nombre de archivo de salida, respectivamente. Greenstone los reemplazarÃ¡ con los valores correctos al llamar al comando. Si -convert_to es de tipo pagedimg, Greenstone establece %%OUTPUT para que sea un directorio que contenga los archivos esperados y crearÃ¡ un archivo de elementos que recopila las partes del documento.
 
 UnknownConverterPlugin.output_file_or_dir_name:Ruta completa del archivo de salida o del directorio (de archivos de salida) generado por la conversiÃ³n.
@@ -1332,9 +1381,23 @@
 WebDownload.html_only:Descaragar sÃ³lo ficheros HTML, e ignorar ficheros asociados, por ej. imÃ¡genes y hojas de estilo
 WebDownload.html_only_disp:SÃ³lo archivos HTML
+WebDownload.proxied_connect_failed_info:ConfiguraciÃ³n actual del proxy:
+WebDownload.http_proxy_settings:- HTTP host=%s : port=%s
+WebDownload.https_proxy_settings:- HTTPS host=%s : port=%s
+WebDownload.ftp_proxy_settings:- FTP host=%s : port=%s
+WebDownload.proxyless_connect_failed_info:- El servidor externo no estÃ¡ respondiendo\n- o quizÃ¡s debe configurar el proxy.
+WebDownload.connect_failed_info:- o intente marcar Sin verificaciÃ³n de certificado (afecta las URL 'https') \n en Archivo> Preferencias> ConexiÃ³n
 
 WgetDownload.desc:Clase bÃ¡sica que maneja las llamadas a wget
 WgetDownload.proxy_on:Proxy activado
+WgetDownload.http_proxy_host:HTTP proxy host
+WgetDownload.http_proxy_port:HTTP proxy port
+WgetDownload.https_proxy_host:HTTPS proxy host
+WgetDownload.https_proxy_port:HTTPS proxy port
+WgetDownload.ftp_proxy_host:FTP proxy host
+WgetDownload.ftp_proxy_port:FTP proxy port
 WgetDownload.user_name:Nombre de usuario
 WgetDownload.user_password:Clave de usuario
+WgetDownload.no_check_certificate:Sin certificado
+WgetDownload.wget_timed_out_warning:AVISO: wget expirÃ³ %s veces esperando respuesta.\n\t La URL puede estar inaccesible o la configuraciÃ³n del proxy es incorrecta o incompleta.\n
 
 Z3950Download.desc:MÃ³dulo para descargar de repositorios Z3950
@@ -1390,4 +1453,6 @@
 METSPlugout.xslt_mets:Transforma un fichero docmets.xml de mets con la XSLT en el archivo nombrado.
 
+GreenstoneSQLPlugout.desc:Generar metadatos y/o texto completo en una base de datos MySQL (nombrada despuÃ©s del nombre del sitio GS3 para GS3 o llamada greenstone2 para GS2) en vez de un archivo doc.xml. Para Greenstone 3, el nombre de la base de datos es el nombre del site GS3. Para Greenstone 2, el nombre de la base de datos es greenstone2. Las opciones bÃ¡sicas para este Plugout son las mismas que las opciones bÃ¡sicas para el GreenstoneSQLPlugin correspondiente.
+
 # 
 # GreenstoneSQLPlug strings are shared by both GreenstoneSQLPlugout and GreenstoneSQLPlugin
@@ -1395,4 +1460,6 @@
 GreenstoneSQLPlug.process_mode:La configuraciÃ³n determina si el texto completo y / o los metadatos se enviarÃ¡n a una base de datos MySQL en lugar de a doc.xml durante la importaciÃ³n. Elija uno de entre meta_only, text_only o all (predeterminado).
 GreenstoneSQLPlug.process_mode.all:El paso Import envÃ­a el texto completo y los metadatos a una base de datos MySQL en vez de a doc.xml.
+GreenstoneSQLPlug.process_mode.meta_only:El proceso Import dirige los metadatos a una base de datos MySQL y el texto completo a un archivo doc.xml.
+GreenstoneSQLPlug.process_mode.text_only:El proceso Import dirige el texto completo a una base de datos MySQL y los metadatos a un archivo doc.xml.
 GreenstoneSQLPlug.db_driver:El driver de la base de datos. Solo estÃ¡ soportada MySQL, por lo que el default es mysql.
 GreenstoneSQLPlug.db_client_user:La contraseÃ±a con la cual se conecta a la base de datos (My)SQL, root por defecto.
@@ -1401,4 +1468,9 @@
 GreenstoneSQLPlug.db_port:Si su servidor de base de datos (MySQL) NO estÃ¡ usando el puerto por defecto, entonces especifique el nÃºmero aquÃ­. De lo contrario, deje este campo en blanco.
 
+GreenstoneSQLPlug.rollback_on_cancel:Soporte para deshacer al cancelar. EstablÃ©zcalo en verdadero para admitir reversiones (rollbacks) al cancelar. Las transacciones solo se confirman en la base de datos al final la importaciÃ³n y el buildcol. EstablÃ©zcalo en falso si no desea soporte para deshacer, en cuyo caso las sentencias de SQL se envÃ­an automÃ¡ticamente a la base de datos.
+
+gsmysql.backup_on_build_msg:SQL DB CANCEL SUPPORT ON. \ N Para que el sistema de archivos imite el comportamiento Rollback On Cancel de los GreenstonePlugs \n, primero debe hacer una copia de seguridad manual de las subcarpetas 'archives' e 'index' de su colecciÃ³n para que pueda restaurarlos manualmente al cancelar cuando la base de datos SQL se revierte automÃ¡ticamente. \n \n Ejemplo de comandos de copia de seguridad: \n%s\n Si no desea continuar, presione Ctrl-C para cancelar ahora.
+gsmysql.restore_backups_on_build_cancel_msg:Base de datos SQL revertida. \n Si hizo una copia de seguridad de las subcarpetas de 'archives' e 'Ã­ndiex' de su colecciÃ³n, entonces \n restaure las copias de seguridad ahora.
+
 #
 # Perl module strings