Index: main/trunk/model-sites-dev/heritage-nz/collect/pdf-reports/transform/pages/about.xsl
===================================================================
--- main/trunk/model-sites-dev/heritage-nz/collect/pdf-reports/transform/pages/about.xsl	(revision 33074)
+++ main/trunk/model-sites-dev/heritage-nz/collect/pdf-reports/transform/pages/about.xsl	(revision 33075)
@@ -9,8 +9,24 @@
 	exclude-result-prefixes="java util">
 
+  <xsl:template name="create-banner">		
+    <div id="gs_banner" class="ui-widget-header ui-corner-bottom">
+      <div id="titlesearchcontainer">
+	<xsl:call-template name="page-title-area"/>
+	<div style="clear:both;"><xsl:text> </xsl:text></div>
+      </div>
+      <xsl:call-template name="browsing-tabs"/>
+    </div>
+  </xsl:template>
+
+
   <xsl:template name="coll-description">
     <xsl:variable name="numDocs" select="/page/pageResponse/collection/metadataList/metadata[@name='numDocs']"/>
     
+    <figure style="float: right;">
+      <img src="http://www.heritage.org.nz/-/media/heritage/images/protect/archaeology/digital-library-page.jpg?useCustomFunctions=1&amp;mw=920" width="220" alt="Archaeological digital library" />
+    </figure>
+
     <h1>Archaeological PDF Reports Digital Library</h1>
+
     <p>
       Heritage New Zealand holds an extensive collection of
@@ -26,13 +42,35 @@
     </p>
     
-    <figure class="">
-      <img src="http://www.heritage.org.nz/-/media/heritage/images/protect/archaeology/digital-library-page.jpg?useCustomFunctions=1&amp;mw=920" width="220" alt="Archaeological digital library" />
-    </figure>
+
+    <p>
+      You can locate reports through the search interface:
+    </p>
+    <div id="titlesearchcontainer">
+      <style>
+	#quicksearcharea    { float: left;  text-align: left; }
+	#quicksearcharea ul { float: right; text-align: right; }
+      </style>
+      <xsl:call-template name="quick-search-area"/>
+      <div style="clear:both;"><xsl:text> </xsl:text></div>
+    </div>
+
+    <p>
+      Or else browse by:
+    </p>
+    <style>
+      #gs-nav li:hover  { background-color: #662020; }
+      #inpage-browsing-tabs li  { float: inherit;  display: inherit; margin: 5px; }
+      #inpage-browsing-tabs { width: 200px; } 
+
+    </style>
+    <div id="inpage-browsing-tabs" >
+      <xsl:call-template name="browsing-tabs"/>
+    </div>
     
-    <p>
+    <p style="padding-top: 10px;">
       Should you prefer, you may contact us as follows:
     </p>
-    <p>
-      <i style="padding-left: 20px">
+    <p style="padding-left: 20px">
+      <i>
 	Archaeological Digital Library<br/>
 	Heritage New Zealand<br/>
@@ -42,5 +80,9 @@
       </i>
     </p>
-    <p>tel: (04) 472 4341</p>
+    <p style="padding-left: 20px">
+      <i>
+	tel: (04) 472 4341
+      </i>
+    </p>
     
     
Index: main/trunk/model-sites-dev/heritage-nz/collect/pdf-reports/transform/pages/classifier.xsl
===================================================================
--- main/trunk/model-sites-dev/heritage-nz/collect/pdf-reports/transform/pages/classifier.xsl	(revision 33074)
+++ main/trunk/model-sites-dev/heritage-nz/collect/pdf-reports/transform/pages/classifier.xsl	(revision 33075)
@@ -31,9 +31,9 @@
           
 	      <iframe src="sites/{$site_name}/collect/{$collName}/iframe/nz-territorial-authorities-v06.svg"
-		      style="float:right; positionXX: absolute; width: 345px; height: 436px; border: none; ">
+		      style="float:right; width: 345px; height: 436px; border: none; ">
 		<gsf:comment>filler</gsf:comment>
 	      </iframe>
 	    </xsl:if>	    
-	    <table id="classifiernodelist">
+	    <table id="classifiernodelist" style="position:relative;"> <!-- **** -->
 	      <xsl:text> </xsl:text>
 	      <xsl:call-template name="processNodeChildren">
@@ -129,8 +129,8 @@
 
 <div>
-              <div class="zoomImage" id="wrapHASH" style="float: right; position:relative; width: 483px; height: 610px;">
+              <div class="zoomImage" id="wrapHASH" style="position:absolute; width: 483px; height: 610px; right: -450px; top: 100px; ">
 		<div id="smallHASH" style="position: relative; width: 483px; height: 610px;">
 		  <iframe src="sites/{$site_name}/collect/{$collName}/iframe/nz-territorial-authorities-v06.svg"
-			  style="floatXX:right; positionXXXX: absolute; width: 483px; height: 610px; border: none; ">
+			  style="width: 483px; height: 610px; border: none; ">
 		    <xsl:comment>filler</xsl:comment>
 		  </iframe>
@@ -141,8 +141,8 @@
 		  </div>
 		  
-                  <div id="largeHASH" style="position: relative; width: 1380px; height:1744px; left: 600px; top: 100px; leftXX: -57.48px; topXX: -4.65867px;">
+                  <div id="largeHASH" style="position: relative; width: 1380px; height:1744px; left: 600px; top: 100px;">
 
 		    <iframe id="largeHASH-iframe" src="sites/{$site_name}/collect/{$collName}/iframe/nz-territorial-authorities-v06-large.svg"
-			    style="floatXX:right; positionXXXX: absolute; width: 1380px; height: 1744px; border: none; ">
+			    style="width: 1380px; height: 1744px; border: none; ">
 		      <xsl:comment>filler</xsl:comment>
 		    </iframe>
@@ -168,11 +168,12 @@
 	      });
 
-	      $("#zoomOptions input").prop("checked", false);
-	      $("#zoomOptions").css("display", "");
-	      //}
-
+
+	      $("#zoomOptions input").prop("checked", true);
+	      $("#zoomOptions").css("display", "block");
 	      _imageZoomEnabled = true;
 
 	      aZoomer.mouseenter(function (e) { 
+	         if (!_imageZoomEnabled) { return false }
+
 		 $('#moverHASH').css("display","block");
 	         //console.log("**** mouseenter: pageX = " + e.pageX + "," + "PageY = " + e.pageY); 
@@ -196,5 +197,5 @@
 	    </xsl:if>
 	    
-	    <table id="classifiernodelist">
+	    <table id="classifiernodelist" style="position:relative;"> <!-- **** -->
 	      <xsl:for-each select='classifierNode'>
 		<xsl:call-template name="processNodeChildren">